import request from "@/utils/request";

// 查询 项目 网关/子设备
export function listProjectDevice(query) {
  return request({
    url: "/iot/device/getProjectDeviceList",
    method: "get",
    params: query
  });
}

// 查询 项目 型号
export function listProjectModel(query) {
  return request({
    url: "/iot/model/getProjectModelList",
    method: "get",
    params: query
  });
}

// 查询 项目 子设备 表格 列
export function listProjectTableFilter(query) {
  return request({
    url: "/iot/dev/prod/fun/tableHeader",
    method: "get",
    params: query
  });
}

// 查询 项目 型号
export function statProject(query) {
  return request({
    url: "/iot/project/projectStat",
    method: "get",
    params: query
  });
}

// 查询 全部报警图表
export function projectAlarmEcharts(query) {
  return request({
    url: "/iot/project/monitor/allAlarmChart",
    method: "get",
    params: query
  });
}

// 查询 全部报警表格
export function projectAlarmTable(query) {
  return request({
    url: "/iot/project/monitor/allAlarmList",
    method: "get",
    params: query
  });
}

// 查询 报警 图表
export function projectAlarmRecordEcharts(query) {
  return request({
    url: "/iot/project/monitor/alarmChart",
    method: "get",
    params: query
  });
}

// 查询 报警 表格
export function projectAlarmRecordTable(query) {
  return request({
    url: "/iot/project/monitor/alarmList",
    method: "get",
    params: query
  });
}


// 查询 异常 列表
export function projectAbnormalRecordTable(query) {
  return request({
    url: "/iot/project/monitor/abnormalList",
    method: "get",
    params: query
  });
}

// 查询 分合闸 警示
export function projectWarningRecordTable(query) {
  return request({
    url: "/iot/project/monitor/deviceOutList",
    method: "get",
    params: query
  });
}

// 查询 异常 导出
export function projectAbnormalRecordExport(query) {
  return request({
    url: "/iot/project/monitor/abnormalExport",
    method: "get",
    params: query
  });
}

// 查询 分合闸 导出
export function projectWarningRecordExport(query) {
  return request({
    url: "/iot/project/monitor/deviceOutExport",
    method: "get",
    params: query
  });
}

// 查询 能源 列表
export function projectEneElectricityTable(query) {
  return request({
    url: "/iot/project/monitor/deviceOutList",
    method: "get",
    params: query
  });
}
